declare type FluentGenerator<T> = {
    toArray: () => T[];
    takeUntilStable: () => FluentGenerator<T>;
    first: (predicate: (value: T) => boolean) => T | undefined;
};
export declare function memoize<T>(func: (input: string) => T): (input: string) => T;
export declare function keepApplying<T>(initialValue: T, modifier: (v: T) => T): FluentGenerator<T>;
export declare function flatten<T>(array: T[][]): T[];
export declare function flattenObject<T extends {
    [key: string]: any;
}>(array: T[]): T;
export declare function dedupe<T>(array: T[]): T[];
export {};
